package com.yonge.cooleshow.common.enums.payment;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;
import lombok.Getter;

@Getter
public enum EOrderType implements BaseEnum<String, EOrderType> {

    VIP("数字化器乐学练工具"),
    SCHOOL_REGISTER("学生报名"),
    ;


    private final String name;

    @EnumValue
    private final String code;

    EOrderType(String name) {
        this.name = name;

        this.code = this.name();
    }
}
